#coding:utf-8
from PyQt4 import QtCore
from PyQt4 import QtGui
from AppToolShow import AppToolShow
from AppToolHome import AppToolHome
from AppToolActivities import AppToolActivities
class AppToolLabel(QtGui.QLabel):
    """
    """
    def __init__(self,parent=None):
        QtGui.QLabel.__init__(self,parent)
        self.setAttribute(QtCore.Qt.WA_DeleteOnClose)
        self.setGeometry(-2,-2,parent.geometry().width()+4,parent.geometry().height()+4)
        self.setObjectName('toolLabel')
        self.setStyleSheet("#toolLabel{background-color:rgb(9,26,35);}")
        self.toolShow=AppToolShow(self)
        self.toolHome=AppToolHome(self)
        self.toolActivites=AppToolActivities(self)
        self.enterSignal=QtCore.pyqtSignal()
        self.connect(self,QtCore.SIGNAL('enterSignal'),parent.enterBottom)
        print self.geometry()
